/**
 * cfo/tools.hpp
 * @author The RECORD Development Team (INRA) and the VLE Development Team
 * See the AUTHORS or Authors.txt file
 */

/*
 * Copyright (C) 2009-2010 INRA
 *
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef CFO_TOOLS_HPP_
#define CFO_TOOLS_HPP_

#include <cfo/tools/VleAPIfacilities.hpp>
#include <cfo/tools/VleSimulator.hpp>
#include <cfo/tools/accumulators/accu_mono.hpp>
#include <cfo/tools/accumulators/accu_multi.hpp>
#include <cfo/tools/domains/domains.hpp>
#include <cfo/tools/policies/q_matrix.hpp>
#include <cfo/tools/regression/CMAC.hpp>
#include <cfo/tools/doe/full_factorial.hpp>

namespace cfo {
namespace tools {

}
}

#endif /* CFO_TOOLS_HPP_ */
