/**
 * cfo/tools/policies/Policy.hpp
 * @author The RECORD Development Team (INRA) and the VLE Development Team
 * See the AUTHORS or Authors.txt file
 */

/*
 * Copyright (C) 2009-2010 INRA
 *
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef CFO_TOOLS_POLICIES_POLICY_HPP_
#define CFO_TOOLS_POLICIES_POLICY_HPP_

#include <vle/value/Double.hpp>

namespace cfo {
namespace tools {
namespace policies {

namespace vv = vle::value;

/**
 * @brief Abstract class that represents a policy
 */
class policy{
public:
    virtual ~policy()
    {
    }
    /**
     * @brief Converts the policy into a value
     * @return the value that represents the policy
     */
    virtual vv::Value* toValue() const
    {
        return 0;
    }

};

}}} //namespaces

#endif
